{% extends 'base.html' %}
{% load static %}

{% block title %}
Browse Books | Booked
{% endblock %}

{% block content %}


                          <div class="row">
                            <div class="col-md-6 col-md-offset-3 col-xs-10 col-xs-offset-1 col-sm-10 col-sm-offset-1">
                                <h1 style="text-align:center;font-size:30px;color:#26a69a;" >Our library</h1>
                            </div>
                            <div class="col-md-8 col-md-offset-2 col-xs-12 col-sm-10 col-sm-offset-1" style="margin-top:5px;">
                                <h4 style="text-align:center;font-size:20px;" >Bibliophiles are born with a reading list they will never finish .. but there's no harm in trying ! Our library's vast & diverse collection will help you tick off titles in your list ..</h4>
                            </div>
                          </div>
                          <div class="row" style="font-family: 'Josefin Sans', sans-serif;margin-top: 20px;">
                            <div class="col-md-12 col-xs-12 col-sm-9">

                            {% for book,coverphoto in books %}

                                <div class="col-md-4 col-xs-4 col-sm-3" style="float:left;margin-top:30px;margin:0 auto;height:215px;">
                                    {% if coverphoto.photo %}
                                    <a href="/books/{{book.pk}}"><img src="{{ coverphoto.photo.url }}" style="height:130px;display:block;margin:0 auto;"></a>
                                    {% else %}
                                    <a href="/books/{{book.pk}}"><img src="/static/img/Books-512.png" style="height:130px;display:block;margin:0 auto;"></a>
                                    {% endif %}

                                    <div class="row" style="margin-top:20px;text-align:center;">
                                        <a style="font-size:20px;color:#1976d2;font-weight: 600;" href="/books/{{book.pk}}">{{ book.title }} - {{ book.author }}</a>
                                    </div>

                                </div>
                            {% endfor %}
                                
                            </div>

                          </div>


                          <div class="row" style="margin-top: 10px;">
                            <div class="col-md-8 col-ms-offset-2 col-xs-12 col-sm-12" style="text-align:center;">
                            <ul class="pagination" >
                              {% for i in totalPages %}
                              {% if i == pageNumber %}
                                      <li class="active">
                                      {% if not genres %}
                                              <a href='?page={{ i }}'>{{ i }}</a>
                                          {% else %}
                                              <a href='?page={{ i }}{% for f in genres %}&genres={{f}}{% endfor %}'>{{ i }}</a>
                                      {% endif %}
                                      </li>

                              {% else %}

                                      <li>
                                      {% if not genres %}
                                              <a href='?page={{ i }}'>{{ i }}</a>
                                          {% else %}
                                              <a href='?page={{ i }}{% for f in genres %}&genres={{f}}{% endfor %}'>{{ i }}</a>

                                      {% endif %}
                                      </li>
                                      {% endif %}
                              {% endfor %}
                            </ul>
                          </div>
                          </div>


                          <div class="filters row" style="margin-top: 10px;"">
                              <form action="/books/" method="get" accept-charset="utf-8">
                              {% for filter,selected in allFilters %}

                                  {%  if selected %}
                                      <input checked type="checkbox" name="genres" id="{{ filter }}" value="{{ filter }}" />
                                      {% else %}
                                      <input type="checkbox" name="genres" id="{{ filter }}" value="{{ filter }}" />
                                  {% endif %}
                                      <label for="{{ filter }}" style="color:#212121;font-size:20px;"><b>{{filter}}</b></label><br />

                              {% endfor %}
 {% for filter,selectedauthor in allauthors %}

                                  {%  if selectedauthor %}
                                      <input checked type="checkbox" name="authors" id="{{ filter }}" value="{{ filter }}" />
                                      {% else %}
                                      <input type="checkbox" name="authors" id="{{ filter }}" value="{{ filter }}" />
                                  {% endif %}
                                      <label for="{{ filter }}" style="color:#212121;font-size:20px;"><b>{{filter}}</b></label><br />

                              {% endfor %}
{% for filter,selected in allratings %}

                                  {%  if selected %}
                                      <input checked type="checkbox" name="ratings" id="{{ filter }}" value="{{ filter }}" />
                                      {% else %}
                                      <input type="checkbox" name="ratings" id="{{ filter }}" value="{{ filter }}" />
                                  {% endif %}
                                      <label for="{{ filter }}" style="color:#212121;font-size:20px;"><b>{{filter}}</b></label><br />

                              {% endfor %}


                              <input type="hidden" name="page" id="page" value="{{ pageNumber }}">

                                  <p><input type="submit" class="modal-button btn" value="Apply" style="height:35px;"></p>
                              </form>
                          </div>
<!--
<div class="filters row" style="margin-top: 10px;"">
                              <form action="/books/" method="get" accept-charset="utf-8">
                              {% for filter,selected in allauthors %}

                                  {%  if selected %}
                                      <input checked type="checkbox" name="authors" id="{{ filter }}" value="{{ filter }}" />
                                      {% else %}
                                      <input type="checkbox" name="authors" id="{{ filter }}" value="{{ filter }}" />
                                  {% endif %}
                                      <label for="{{ filter }}" style="color:#212121;font-size:20px;"><b>{{filter}}</b></label><br />

                              {% endfor %}

                              <input type="hidden" name="page" id="page" value="{{ pageNumber }}">

                                  <p><input type="submit" class="modal-button btn" value="Apply" style="height:35px;"></p>
                              </form>
                          </div>

-->




{% endblock %}
